package com.ozs.web.controller.accountmanagment;


import com.ozs.common.annotation.Log;
import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.enums.BusinessType;
import com.ozs.service.entity.vo.BaseDeviceResumeVo;
import com.ozs.service.service.BaseDeviceResumeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/service/BaseDeviceResume")
@Slf4j
public class BaseDeviceResumeController extends BaseController {

    @Autowired
    private BaseDeviceResumeService baseDeviceResumeService;

    /**
     * 获取设备状态履历
     */
    @GetMapping("/getBaseDeviceResume")
    @Log(title = "设备状态履历", businessType = BusinessType.SELECT)
    public AjaxResult getBaseDeviceResume(@RequestParam(value = "cameraCode") String cameraCode,
                                          @RequestParam(value ="startTime", required = false) String startTime,
                                          @RequestParam(value ="endTime", required = false) String endTime) {
        List<BaseDeviceResumeVo> baseDevicResumeVoList = baseDeviceResumeService.getBaseDeviceResume(cameraCode, startTime, endTime);
        return AjaxResult.success(baseDevicResumeVoList);
    }
}
