package com.ozs.web.controller.accountmanagment;


import com.ozs.common.annotation.Log;
import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.enums.BusinessType;
import com.ozs.service.entity.vo.BaseDeviceResumeVo;
import com.ozs.service.entity.vo.BaseElectricityResumeVo;
import com.ozs.service.service.BaseElectricityResumeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/service/BaseElectricityResume")
@Slf4j
public class BaseElectricityResumeController extends BaseController {

    @Autowired
    private BaseElectricityResumeService baseElectricityResumeService;

    /**
     * 获取电池电量状态履历
     */
    @GetMapping("/getBaseElectricityResume")
    @Log(title = "设备状态履历", businessType = BusinessType.SELECT)
    public AjaxResult getBaseElectricityResume(@RequestParam(value = "cameraCode") String cameraCode,
                                               @RequestParam(value = "startTime", required = false) String startTime,
                                               @RequestParam(value = "endTime", required = false) String endTime) {
        List<BaseElectricityResumeVo> baseElectricityResumeVoList = baseElectricityResumeService.getBaseElectricityResume(cameraCode, startTime, endTime);
        return AjaxResult.success(baseElectricityResumeVoList);
    }
}
